.price-wrapper {
  display: flex;
  flex-direction: column;
  margin-top: 1.6rem;
  min-height: 7.9rem;

  > .product-price .cmp-price-container > h2 {
    display: flex;
    flex-direction: column;
    justify-content: center;
    font-size: 1.8rem;
    font-weight: 700;
    color: var(--gray-4);
  }

  // Texto esgotado
  > .product-price .cmp-price-sold-out {
    font-size: 1.8rem;
    font-weight: 700;
    color: var(--gray-4);
  }

  // Estilos comuns para o preço e preço promocional
  > .product-price .cmp-price-sale-price,
  > .product-price .cmp-price-price {
    font-size: inherit;
    font-weight: inherit;
    width: fit-content;
    color: inherit;
  }

  // Preço promocional
  > .product-price .cmp-price-sale-price {
    display: flex;

    ins {
      text-decoration: none;
    }
  }

  > .product-price .prefix {
    display: none;
  }

  > .product-price .cmp-price-sold-out + * {
    display: none !important;
  }

  // Sufixo do preço e preço promocional
  > .product-price .cmp-price-sale-price .price::after,
  > .product-price .cmp-price-price::after {
    content: " à vista";
    color: var(--gray-3);
    font-size: var(--font-size-small);
    font-weight: var(--font-weight-base);
  }

  // Preço original geral
  > .product-price .cmp-price-original-price {
    align-items: center;
    display: flex;
    font-size: var(--font-size-small);
    font-weight: var(--font-weight-base);
    color: var(--gray-3);
    position: relative;
    margin-bottom: 0.4rem;
  }

  // Parcelas
  > .product-price .cmp-price-installments {
    font-size: var(--font-size-base);
    font-weight: var(--font-weight-base);
    color: var(--gray-3);
    width: 100%;
    margin-top: 0.4rem;
  }

  > .product-price .cmp-price-installments p::before {
    content: "";
    display: inline-block;
    width: 1.6rem;
    min-width: 1.6rem;
    height: 1.6rem;
    background-image: url("data:image/svg+xml,%3Csvg width='16' height='16' viewBox='0 0 16 16' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M2 5.33301C2 4.80258 2.21071 4.29387 2.58579 3.91879C2.96086 3.54372 3.46957 3.33301 4 3.33301H12C12.5304 3.33301 13.0391 3.54372 13.4142 3.91879C13.7893 4.29387 14 4.80258 14 5.33301V10.6663C14 11.1968 13.7893 11.7055 13.4142 12.0806C13.0391 12.4556 12.5304 12.6663 12 12.6663H4C3.46957 12.6663 2.96086 12.4556 2.58579 12.0806C2.21071 11.7055 2 11.1968 2 10.6663V5.33301Z' stroke='%23707070' stroke-linecap='round' stroke-linejoin='round'/%3E%3Cpath d='M2 6.66699H14' stroke='%23707070' stroke-linecap='round' stroke-linejoin='round'/%3E%3Cpath d='M4.66602 10H4.67354' stroke='%23707070' stroke-linecap='round' stroke-linejoin='round'/%3E%3Cpath d='M7.33398 10H8.66732' stroke='%23707070' stroke-linecap='round' stroke-linejoin='round'/%3E%3C/svg%3E%0A");
    background-repeat: no-repeat;
    background-position: 50% 50%;
    background-size: contain;
    vertical-align: middle;
    margin-right: 0.4rem;
  }

  > .product-price .cmp-price-installments .value {
    color: var(--gray-4);
    font-weight: 600;
  }

  > .product-price .cmp-price-installments span:not(.value) {
    text-transform: lowercase;
  }

  > .product-price .cmp-cashback {
    margin-top: 0.8rem;
    background-color: var(--gray-1);
    border: 1px solid var(--gray-2);
    border-radius: 0.4rem;
    padding: 0.6rem 1.6rem;
    color: var(--gray-4);
    font-weight: 700;
    display: flex;
    align-items: center;
    width: fit-content;
    white-space: nowrap;
  }

  > .product-price .cmp-cashback svg {
    color: inherit;
    width: 1.6rem;
    min-width: 1.6rem;
    height: 1.6rem;
    margin-right: 0.8rem;
  }

  > .product-price .cashback-text {
    font-weight: var(--font-weight-base);
    margin-left: 0.4rem;
  }

  > .product-price .cmp-price-slip-discount,
  > .product-price .cmp-price-pix-discount {
    font-size: var(--font-size-base);
    font-weight: var(--font-weight-base);
    color: var(--gray-3);
    width: 100%;
    margin-top: 0.4rem;

    .value,
    .percent {
      color: var(--gray-4);
      font-weight: 600;
    }
  }
}
